cp400:
  general:
    full_name: "Classpad 400"
    international_name: "fx-CP 400/fx-CG 500"
    year_launched: 2013
    predecessor: cp330+
    successor: cp400+e
    family: family.cas
    active: no
  teaching:
    audience: audience.high_school_college
    exam_mode: no
    math_input: yes
    pretty_print: yes
    matrices: yes
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.cas
    cas: cas.native
  packaging:
    size: [21.1, 89, 206] # mm
    weight: 315 # g
    power: power.4aaa
    power_runtime: null
  programming:
    casio_basic: casio_basic.native
    add_ins: add_ins.vendor_only
    add_ins_sdk: []
    python: no
  hardware:
    mpu: "SH7305"
    cpu: "SH-4..."
    default_cpu_frequency: 116000000 # Hz
    overclock_tools: []
    max_cpu_frequency: 116000000 # Hz
    ram_chip: 2000000 # bytes
    rom_chip: 64000000 # bytes
    ram_storage: 512000 # bytes
    rom_storage: 5500000 # bytes
    sd_card: no
  devices:
    display: null
    backlit_display: yes
    color_mode: color_mode.rgb565
    touch_screen: yes
    display_size_pixels: [320, 528] # pixels
    display_size_text: display_size_text.variable
    serial_connection: serial_connection.jack_25
    usb_connection: usb_connection.mini_usb_b
    protocols: [protocols.scsi, protocols.p7]
    transfer_software: [transfer_software.file_browser]
  misc:
    price_range: [140, 200] # euros
    last_os_version: "2.01"
  links:
    casio_france:
      "[Casio Éducation](https://web.archive.org/web/20130930030415/http://www.casio-education.fr/calculatrice_casio_fx-CP400.html) (2013)"
    casio_international:
      "[edu.casio.com](https://edu.casio.com/products/cg/cp2/) (2021)"
  manuals:
    software_french_fr:
      "@fr{Manuel}@en{Manual} (2014-2020)": "https://support.casio.com/storage/fr/manual/pdf/FR/004/ClassPadII_UG_FR.pdf"
    software_international_fr:
      "@fr{Manuel}@en{Manual} (2017-2020)": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG500_UG_FR.pdf"
    software_international_en:
      "fx-CP 400": "https://support.casio.com/en/manual/004/ClassPadII_UG_EN.pdf"
      "fx-CG 500": "https://support.casio.com/en/manual/004/fx-CG500_UG_EN.pdf"
    hardware_french_fr: no
    hardware_international_fr: no
    hardware_international_en: no
